@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');


body{
  margin: 0;
  padding: 0;
  height: 100vh !important;
  display: flex;
  flex-direction: column;
}
.search-bar-border{
    border: 1px solid rgb(196, 196, 196);
    border-radius: 50px;
}
.navbar-brand {
    display: flex;
    align-items: center;
}

.navbar-brand img {
    max-height: 50px;
    margin-right: 10px;
}



.header-icons i {
    font-size: 20px;
    margin-left: 20px;
    position: relative;
}

.header-icons i .badge {
    position: absolute;
    top: -10px;
    right: -17px;
    background-color: red;
    color: white;
}

.nav-bg {
    background-color: #FF4B58;
}

/* Ensuring mobile responsiveness */
@media (max-width: 992px) {
    .search-bar {
        margin-bottom: 15px;
    }
}

.width-search{
    width: 500px !important;
    border-radius: 20px;
    border: 0px solid lightgray !important;
    padding: 5px 20px;
}
.form-width{
    width: 25% !important;
    border-radius: 50px !important;
}
.border-left-input{
    border-right: 0 !important;
    border-top: 0 !important;
    border-bottom: 0 !important;
}
.bg-search{
    background-color: #FFE1DC ;
    padding: 5px;
    border-radius: 100%;
    height: 30px;
    width: 30px;
}
.size{
    font-size: 16px;
    margin: 6px;
}
.btn-primary{
    background-color: #F44563 !important;
    color: white !important;
    border: 1px solid  #F44563 !important;
}


.hero-title-home{
    font-family: "Poppins", sans-serif;
    font-size: 58px;
    font-weight: 500;
    line-height: 78px;
    text-align: left;
color: #5C4A4A;    
}
.hero-title-home-primary{
    font-family: "Poppins", sans-serif;
font-size: 58px;
font-weight: 500;
line-height: 78px;
text-align: left;
color: #D8315B ;
}
.carousel-control-next-icon {
    background-image: url('images/AngleRight.png') !important;
    width: 60px !important;
    height: 60px !important;
    box-shadow: 0 1px 2px rgba(0,0,0,0.07), 
    0 2px 4px rgba(0,0,0,0.07), 
    0 4px 8px rgba(0,0,0,0.07), 
    0 8px 16px rgba(0,0,0,0.07),
    0 16px 32px rgba(0,0,0,0.07), 
    0 32px 64px rgba(0,0,0,0.07);
    border-radius: 50%;

}
.carousel-control-next-icon, .carousel-control-prev-icon {
    display: inline-block;
    /* width: 6rem !important;
    height: 4rem !important; */
    background-repeat: no-repeat;
    background-position: 50%;
    background-size: 100% 100%;
}
.carousel-control-prev-icon {
    background-image: url(images/Angle\ Left.png) !important;
    width: 60px !important;
    height: 60px !important;
    box-shadow: 0 1px 2px rgba(0,0,0,0.07), 
    0 2px 4px rgba(0,0,0,0.07), 
    0 4px 8px rgba(0,0,0,0.07), 
    0 8px 16px rgba(0,0,0,0.07),
    0 16px 32px rgba(0,0,0,0.07), 
    0 32px 64px rgba(0,0,0,0.07);
    border-radius: 50%;

}
.bg-cream{

    background-color: #FEF9F5 !important;
    /* background-color: !important; */
}

.bg-cream-side{
  background: #EBF3FF !important;;

}
.footer-bg{
    background-color: #5C4A4A;
}
.footer-span{
    font-family: "Poppins", sans-serif;
font-size: 17px;
font-weight: 400;
line-height: 24px;
text-align: left;
color: white;

}
.footer-text {
  font-family: "Poppins", sans-serif;
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  text-align: left;
  color: #A0A0A0;
}
.txt-center-media{
    text-align: end !important;
}

/* media quires css */
@media (max-width: 768px){
    .hero-title-home {
        font-family: "Poppins", sans-serif;
        font-size: 36px !important;
        font-weight: 500;
        line-height: 47px;
        text-align: left;
        color: #5C4A4A;
    }
    .hero-title-home-primary {
        font-family: "Poppins", sans-serif;
        font-size: 36px;
        font-weight: 500;
        line-height: 47px;
        text-align: left;
        color: #D8315B;
    }
    .footer-text {
        font-family: Poppins;
        font-size: 13px;
        font-weight: 400;
        line-height: 24px;
        text-align: left;
        color: #A0A0A0;
    }
    .footer-span {
        font-family: "Poppins", sans-serif;
        font-size: 12px;
        font-weight: 400;
        line-height: 24px;
        text-align: left;
        color: white;
    }
    .txt-center-media{
        text-align: center !important;
    }
    .width-search {
        width: 220px !important;
        border-radius: 20px;
        border: 0px solid lightgray !important;
        padding: 5px 20px;
    }
    .form-width {
        width: 74% !important;
        border-radius: 50px !important;
    }
    .search-bar-border{
        margin-left: 0 !important;
    }
    .header-icons{
        margin-top: 20px;
    }
}
.carousel-control-prev {
    left: -70px !important;
}
.carousel-control-next {
    right: -70px !important; 
}
.hero-section-bg{
    background-color: #F9F9F9;
}
.best-seller-author{
    font-family: "Poppins", sans-serif;
font-size: 16px;
font-weight: 400;
line-height: 27px;
letter-spacing: 0.02em;
text-align: left;
color: #605D64;

}
.best-seller-book-name{
    font-family: "Poppins", sans-serif;
font-size: 18px;
font-weight: 500;
line-height: 30px;
letter-spacing: 0.02em;
text-align: left;
color: #5C4A4A;

}
.best-seller-price{
    font-family: "Poppins", sans-serif;
font-size: 16px;
font-weight: 500;
line-height: 27px;
letter-spacing: 0.02em;
text-align: left;
color: #D8315B;

}

/* nav css */
/* Hide .desktop-nav on screens smaller than 768px (mobile view) */
@media (max-width: 1075px) {
    .desktop-nav {
      display: none;
    }
  }
  
  /* Show .desktop-nav on screens 768px and larger (desktop view) */
  @media (min-width: 1076px) {
    .desktop-nav {
      display: block;
    }
  }
  @media (max-width:1400px) {
    .card-span {
      color: black !important;
      font-family: "Inter", sans-serif;
      font-size: 13px !important;
      font-weight: 400;
      line-height: 23px;
      text-align: center;
  }
  
  }
  @media (max-width: 1200px) {
    .card-span {
      color: black !important;
      font-family: "Inter", sans-serif;
      font-size: 10px !important;
      font-weight: 400;
      line-height: 23px;
      text-align: center;
  }

  }
  
  
  /* Show .mobile-nav on screens smaller than 1076px (mobile view) */
@media (max-width: 1076px) {
    .mobile-nav {
      display: block;
    }
    .search-icon {
        background-color: #FFE1DC;
        width: 32px !important;
        height: 32px !important;
        border-radius: 50% !important;
        margin: 7px !important;
      }
      .carousel-control-next {
        right: -12px !important; 
    }
    .carousel-control-prev {
        left: -12px !important;
    }
    .best-seller-author {
        font-family: "Poppins", sans-serif;
        font-size: 12px;
        font-weight: 400;
        line-height: 27px;
        letter-spacing: 0.02em;
        text-align: left;
        color: #605D64;
    }
    .best-seller-book-name {
        font-family: "Poppins", sans-serif;
        font-size: 13px;
        font-weight: 500;
        line-height: 17px;
        letter-spacing: 0.02em;
        text-align: left;
        color: #5C4A4A;
    }
    .carousel-control-next-icon {
        background-image: url(images/AngleRight.png) !important;
        width: 35px !important;
        height: 35px !important;
        box-shadow: 0 1px 2px rgba(0, 0, 0, 0.07), 0 2px 4px rgba(0, 0, 0, 0.07), 0 4px 8px rgba(0, 0, 0, 0.07), 0 8px 16px rgba(0, 0, 0, 0.07), 0 16px 32px rgba(0, 0, 0, 0.07), 0 32px 64px rgba(0, 0, 0, 0.07);
        border-radius: 50%;
    }
    .carousel-control-prev-icon {
        background-image: url(images/Angle\ Left.png) !important;
        width: 35px !important;
        height: 35px !important;
        box-shadow: 0 1px 2px rgba(0, 0, 0, 0.07), 0 2px 4px rgba(0, 0, 0, 0.07), 0 4px 8px rgba(0, 0, 0, 0.07), 0 8px 16px rgba(0, 0, 0, 0.07), 0 16px 32px rgba(0, 0, 0, 0.07), 0 32px 64px rgba(0, 0, 0, 0.07);
        border-radius: 50%;
    }
    .section-title {
        font-family: "Poppins", sans-serif;
        font-size: 24px !important;
        font-weight: 500;
        line-height: 54px;
        color: #5C4A4A !important;
    }
    .books-title {
        font-family: "Poppins", sans-serif;
        font-size: 9px;
        font-weight: 500;
        line-height: 14px;
        letter-spacing: 0.02em;
        color: #5C4A4A;
    }
    .mble-grow{
        flex-direction: column;
    }
    .book-details-hero-card {
        font-family: "Inter", sans-serif;
        font-size: 16px !important;
        font-weight: 500;
        line-height: 33px;
        text-align: left;
        color: #5B4A49;
    }
    
    .book-price-bk-detail {
        font-family: "Inter", sans-serif;
        font-size: 23px !important;
        font-weight: 700;
        line-height: 29.99px;
        color: #000000;
    }
        
    
  }
  a {
    text-decoration: none !important;
}
  /* Hide .mobile-nav on screens 768px and larger (desktop view) */
  @media (min-width: 1076px) {
    .mobile-nav {
      display: none;
    }
  }
  .search-icon {
   margin: 5px;

  }

  /* toggle css */
  /* From Uiverse.io by vinodjangid07 */ 
#checkbox {
    display: none;
  }
  
  .toggle {
    position: relative;
    width: 40px;
    height: 40px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    transition-duration: .5s;
  }
  
  .bars {
    width: 100%;
    height: 4px;
    background-color: rgb(176, 92, 255);
    border-radius: 4px;
  }
  
  #bar2 {
    transition-duration: .8s;
  }
  
  #bar1,#bar3 {
    width: 70%;
  }
  
  #checkbox:checked + .toggle .bars {
    position: absolute;
    transition-duration: .5s;
  }
  
  #checkbox:checked + .toggle #bar2 {
    transform: scaleX(0);
    transition-duration: .5s;
  }
  
  #checkbox:checked + .toggle #bar1 {
    width: 100%;
    transform: rotate(45deg);
    transition-duration: .5s;
  }
  
  #checkbox:checked + .toggle #bar3 {
    width: 100%;
    transform: rotate(-45deg);
    transition-duration: .5s;
  }
  
  #checkbox:checked + .toggle {
    transition-duration: .5s;
    transform: rotate(180deg);
  }
  /* offcanvas css */
  .offcanvas-bg{
    background-color: #F44563 !important;
  }
  .offcanvas-menu li{
    text-decoration: none;
    list-style: none;
  }
  .offcanvas-menu li a{
    text-decoration: none !important;
 color: white !important;
 line-height: 50px;
 font-size: 20px;
  }
  .section-title{
    font-family: "Poppins", sans-serif;
font-size: 36px;
font-weight: 500;
line-height: 54px;

color: #5C4A4A !important;
  }
  .books-title{
    font-family: "Poppins", sans-serif;
font-size: 16px;
font-weight: 500;
line-height: 30px;
letter-spacing: 0.02em;
color: #5C4A4A;

  }
  /* footer{
    position: sticky;
    bottom: 0;
    width: 100%;
  } */
  a{
    text-decoration: none !important;
  }
  .book-details-bg-crem-light{
    background-color: #FFF9F5 !important;
  }
  .book-details-hero-card{
    font-family: "Inter", sans-serif;
font-size: 18px;
font-weight: 500;
line-height: 34px;
text-align: left;
color: #5B4A49;
  }
  .book-price-bk-detail{
    font-family: "Inter", sans-serif;
font-size: 24px;
font-weight: 700;
line-height: 45.99px;
color: #000000;

  }
  /* rating css */

:root {
  --star-size: 24px;
  --star-color: #fff;
  --star-background: #fc0;
}

@media (max-width:600px){
  .ms-smm-3{
    margin-left: 0px !important;
  }
}
.ms-smm-3{
  margin-left: 0px ;
}

.Stars {
  --percent: calc(var(--rating) / 5 * 100%);
  display: inline-block;
  font-size: var(--star-size);
  font-family: Times;
  line-height: 1;
}
.Stars::before {
  content: "★★★★★";
  letter-spacing: 0px;
  background: linear-gradient(90deg, var(--star-background) var(--percent), #ffcccc var(--percent));
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.customer-reviews{
    font-family: "Poppins", sans-serif;
font-size: 13px !important;
font-weight: 400;
line-height: 19.5px;
color: black;

}
.details-auth-bk-detail{
    font-family: "Inter", sans-serif;
font-size: 14px !important;
font-weight: 400;
line-height: 30px;
color: #2E2F31;

}
.details-auth-name-bk-detail{
    font-family: "Inter", sans-serif;
font-size: 16px;
font-weight: 500 !important;
line-height: 30px;
color: #000000 ;

}
.bg-light-blue{
    background-color: #EFF3F8 !important;
}
.btn-white{
    background-color: white !important;
}
.description-bk-details {
  font-family: "Inter", sans-serif;
  font-size: 15px;
  font-weight: 400;
  line-height: 27px;
  color: #000000;
}
.popular-cat-ul{
    padding-left: 2px;
}
.popular-cat-ul li{
list-style: none;
}
.popular-cat-ul li a{
   color: black !important;
   font-family: "Inter", sans-serif;
font-size: 14px;
font-weight: 400;
line-height: 30px;
text-align: left;
}
.card-span{
    color: black !important;
    font-family: "Inter", sans-serif;
font-size: 14px;
font-weight: 400;
line-height: 23px;
text-align: center;

}


/* mobile css */

.group {
  display: flex;
  line-height: 28px;
  align-items: center;
  position: relative;
  max-width: 190px;
 }
 
 .input {
  width: 100%;
  height: 40px;
  line-height: 28px;
  padding: 0 1rem;
  padding-left: 2.5rem;
  border: 2px solid transparent;
  border-radius: 8px;
  outline: none;
  background-color: #fff4fb;
  color: #0d0c22;
  transition: .3s ease;
 }
 
 .input::placeholder {
  color: #9e9ea7;
 }
 .form-control{
  box-shadow: 0 0 0 4px rgba(255, 255, 255, 0) !important;
 }
 .input:focus{
  outline: none;
  border-color: rgba(234,76,137,0.4);
  background-color: #fff;
  box-shadow: 0 0 0 4px rgba(255, 255, 255, 0) !important;
 }
 
 input:hover {
  outline: none;
  border-color: rgba(234,76,137,0.4);
  background-color: #fff;
  box-shadow: 0 0 0 4px rgba(255, 255, 255, 0) !important;
 }
 .icon {
  position: absolute;
  left: 1rem;
  fill: #9e9ea7;
  width: 1rem;
  
  height: 2.5rem;
 }

 /* browse by atuhor css*/

 @media (max-width:992px) {
  .d-block-m{
    display: block !important;
  }
  
 }
 
 
 
 
 
 
